# Renew a subscription

Use the **renewSubscription** method to renew a subscription. Renew a subscription in the 2Checkout system on-demand, controlling the number of days, price, and currency of the extension.&#x20;

## Request parameters

<table><thead><tr><th width="214">Parameter</th><th>Type / Description</th></tr></thead><tbody><tr><td><code>sessionID</code></td><td><p><strong>Required (string)</strong></p><p>Session identifier, the output of the <strong>Login</strong> method. Include <code>sessionID</code> into all your requests. 2Checkout throws an exception if the values are incorrect. The <code>sessionID</code> expires in <strong>10 minutes</strong>.</p></td></tr><tr><td><code>subscriptionReference</code></td><td><p><strong>Required (string)</strong></p><p>Unique, system-generated subscription identifier. 2Checkout charges customers using the payment data attached to subscriptions. In the case of credit/debit cards, if customers update their payment information in myAccount or if you update these details on behalf of your subscribers, the 2Checkout system uses the latest card info provided to charge subscription renewals.</p></td></tr><tr><td><code>days</code></td><td><p><strong>Required (int)</strong></p><p>The number of days the 2Checkout system extends the lifetime of the subscription.</p></td></tr><tr><td><code>price</code></td><td><p><strong>Required (double)</strong></p><p>The price that 2Checkout charges the customer for the renewal. The type of price, Gross or Net, is decided by the product setting in the Merchant Control Panel.</p></td></tr><tr><td><code>currency</code></td><td><p><strong>Required (string)</strong></p><p>The currency associated to the renewal price - ISO 4217 code.</p></td></tr></tbody></table>

### Request sample

```php
<?php

require ('PATH_TO_AUTH');

$subscriptionReference = 'YOUR_SUBSCRIPTION_REFERENCE';
$days = 4;
$price = 50;
$currency = 'eur';

$jsonRpcRequest = array (
  'method' => 'renewSubscription',
  'params' => array($sessionID, $subscriptionReference, $days, $price, $currency),
  'id' => $i++,
  'jsonrpc' => '2.0');

var_dump (callRPC((Object)$jsonRpcRequest, $host, true));
```

## Response parameters

<table><thead><tr><th width="114.800048828125">Type</th><th>Description</th></tr></thead><tbody><tr><td><strong>Boolean</strong></td><td><strong>true</strong> or <strong>false</strong> depending on whether or not the operation succeeded.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.2checkout.com/json-rpc-api-reference/json-rpc-api-6.0/api-requests/subscription-renewal/renew-a-subscription.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
